<div ng-controller="EstadoCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Mantenimiento</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title"><i class="fa fa-tags"></i> Estados del Contenedor</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-4">
							<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Estado">
						</div>
						<div class="col-md-4 col-md-offset-4">
							<button class="btn btn-success btn-rounded-10 btn-block" ng-if="permisosHas('mantenimiento.registrar')" ng-click="clear();openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar estado</button>
						</div>
						<br ng-if="flag">
						<div class="loading-container" ng-if="flag">
	                        <div class="loading"></div>
	                        <div id="loading-text">Cargando</div>
	                    </div>
						<div class="col-md-12" ng-if="!flag">
						<br>
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Estado</th>
											<th>Color</th>
											<th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">Opciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="est in estados |filter: buscar | itemsPerPage: 10" pagination-id="est.id">
											<td>{{est.nombre}}</td>
											<td>
												<span class="badge" style="background: {{est.color}};">{{est.nombre}}</span>
											</td>
											<td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
			                                        <button class="btn btn-default btn-border btn-rounded-20" title="Editar Estado {{est.nombre}}" ng-if="permisosHas('mantenimiento.actualizar')"  ng-click="load(est);openModalSave($event)" data-options="splash-2 splash-ef-14">actualizar <i class="fa fa-refresh"></i></button>
			                                        <button class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('mantenimiento.eliminar')" title="Eliminar Estado {{est.nombre}}" ng-click="load(est);openModalDelete($event)" data-options="splash-2 splash-ef-14">eliminar <i class="fa fa-trash-o"></i></button>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="est.id"></dir-pagination-controls>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal fade" id="modal_estado">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-body">
							<form>
								<legend class="text-center"><i class="fa fa-tags"></i><span ng-show="flagCrud"> Crear</span><span ng-hide="flagCrud"> Editar</span> Estado</legend>
							
								<div class="form-group">
									<label for="">Estado</label>
									<input type="text" class="form-control" id="estado" ng-model="obj.nombre" placeholder="Estado">
								</div>

								<div class="form-group">
									<label for="">Color</label>
									<input type="color" class="form-control" id="estado" ng-model="obj.color">
								</div>

								<div class="text-center">
									<button type="submit" class="btn btn-success btn-lg" ng-click="createEdit()" data-dismiss="modal"><span ng-show="flagCrud"><i class="fa fa-save"></i> Guardar</span><span ng-hide="flagCrud"><i class="fa fa-edit"></i> Editar</span></button>
									<button type="button" class="btn btn-default btn-lg" data-dismiss="modal"><i class="fa fa-close"></i> Cancelar</button>
								</div>	
								
							</form>
						</div>
					</div>
				</div>
			</div>

			<div class="modal fade" id="modal_estado_delete">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="text-center">
								<h4 class="modal-title">¿Desea eliminar este Estado?</h4>
							</div>					
						</div>
						<div class="modal-body">
							<div class="text-center">
								<h3>{{obj.nombre}}</h3>
								<button type="submit" class="btn btn-danger btn-lg" ng-click="delete()" data-dismiss="modal"><i class="fa fa-check"></i> Eliminar</button>
								<button type="button" class="btn btn-default btn-lg" data-dismiss="modal" ng-click="clear()"><i class="fa fa-close"></i> Cancelar</button>
							</div>
						</div>
					</div>
				</div>
			</div>

			<script type="text/ng-template" id="modal_estado.html">
		        <!-- <div class="modal-header">
		            <h3 class="modal-title custom-font">I'm a modal!</h3>
		        </div> -->
		        <div class="modal-body">
					<form>
						<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Editar</span> Estado</legend>
							
						<div class="form-group">
							<label for="">Estado</label>
							<input type="text" class="form-control" id="estado" ng-model="obj.nombre" placeholder="Estado">
						</div>

						<div class="form-group">
							<label for="">Color</label>
							<input type="color" class="form-control" id="estado" ng-model="obj.color">
						</div>

						<div class="text-center">
			                <button type="button" class="btn btn-default" ng-click="createEdit()">
			                <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Editar</span></button>
			                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
			            </div>	
						
					</form>
				</div>
		    </script>

		    <script type="text/ng-template" id="modal_estado_delete.html">
		        <div class="modal-header">
		        	<div class="text-center">
		        		<h3 class="modal-title custom-font">¿Desea eliminar este Estado?</h3>
		        	</div>            
		        </div>
		        <div class="modal-body">
					<div class="text-center">
						<h3>{{obj.nombre}}</h3>
						<button type="button" class="btn btn-danger" ng-click="ok()">Aceptar</button>
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
					</div>
				</div>
		    </script>
		</div>
	</div>
</div>
